Skip to content

SSL

All operations require authentication.

7 operationsv1 · v2/hosting/web · /webhosting/resource
Agent setup

Get the SSL certificateProduction

GET
/1.0/hosting/web/{serviceName}/ssl

Returns the provider, type and status of the SSL certificate of the hosting.

Path parameters

serviceName
required
string

Service name

Response

200SSLsuccessful operation
isReportable
read-only
boolean

If the hostedssl is currently bound to a report

provider
read-only
ProviderEnum

Provider of the Hosted SSL

ValuesCOMODOCUSTOMLETSENCRYPTSECTIGO
regenerable
read-only
boolean

Regenerable flag

status
read-only
StatusEnum

Status of the Hosted SSL

Valuescreatedcreatingdeletingimportingregenerating
taskId
read-only
integer

The task ID working on this Hosted SSL

type
read-only
TypeEnum

Type of the Hosted SSL

ValuesCUSTOMDVEV

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ssl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}

List SSL certificate domainsProduction

GET
/1.0/hosting/web/{serviceName}/ssl/domains

Returns the domains covered by the SSL certificate of the hosting.

Path parameters

serviceName
required
string

Service name

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ssl/domains \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get the SSL certificate reportProduction

GET
/1.0/hosting/web/{serviceName}/ssl/report

Returns the status of each validation check run by the certification authority for the certificate of the hosting.

Path parameters

serviceName
required
string

Service name

Response

200Reportsuccessful operation
certificateSigningRequestStatus
read-only
ReportStatusEnum

"Certificate signing request" test status done by certification authority

Valuescompletedin-progressnon-completednon-requirednot-applicablenot-provided
domainControlValidationStatus
read-only
ReportStatusEnum

"Domain control validation" test status done by certification authority

Valuescompletedin-progressnon-completednon-requirednot-applicablenot-provided
organizationValidationStatus
read-only
ReportStatusEnum

Applicant's legal status obtained or verified directly with registration agency

Valuescompletedin-progressnon-completednon-requirednot-applicablenot-provided
phoneCallApprovalStatus
read-only
ReportStatusEnum

Approval verified through a phone call to the contract signer

Valuescompletedin-progressnon-completednon-requirednot-applicablenot-provided
providerOrderId
read-only
string

The order ID from given hostedssl provider

termsAndConditionsAcceptanceStatus
read-only
ReportStatusEnum

Terms and conditions agreements acceptance

Valuescompletedin-progressnon-completednon-requirednot-applicablenot-provided
tradeNameVerificationStatus
read-only
ReportStatusEnum

Trade name verified directly with registration agency or through a verified third party

Valuescompletedin-progressnon-completednon-requirednot-applicablenot-provided

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ssl/report \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "certificateSigningRequestStatus": "completed", "domainControlValidationStatus": "completed", "organizationValidationStatus": "completed", "phoneCallApprovalStatus": "completed", "providerOrderId": "string", "termsAndConditionsAcceptanceStatus": "completed", "tradeNameVerificationStatus": "completed"}

List SSL certificatesBeta

GET
/v2/webhosting/resource/{name}/certificate

Returns the SSL certificates of the hosting, with their type, domains and expiration date.

Path parameters

name
required
string

Name

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200SSL[]successful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests. Here, it represents the current target specification value.

currentState
read-only
SSLCurrentState

Current state of the SSL

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the SSL

id
read-only
stringuuid

Unique identifier of the SSL

resourceStatus
read-only
ResourceStatusEnum

Webhosting SSL readiness in the system

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses name = string

$ curl https://api.eu.ovhcloud.com/v2/webhosting/resource/{name}/certificate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "additionalDomains": [ "string" ], "certificateType": "COMODO", "createdAt": "2024-01-01T12:00:00Z", "expiredAt": "2024-01-01T12:00:00Z", "mainDomain": "string", "state": "ACTIVE" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING" }]

Create or import an SSL certificateProduction

POST
/1.0/hosting/web/{serviceName}/ssl

Creates the free Let's Encrypt SSL certificate of the hosting. To import a custom certificate instead, send the certificate, its private key and its chain.

Path parameters

serviceName
required
string

Service name

Request body (required)

certificate
string

certificate

chain
string

certificate chain

key
stringpassword

private key

Response

200SSLsuccessful operation
isReportable
read-only
boolean

If the hostedssl is currently bound to a report

provider
read-only
ProviderEnum

Provider of the Hosted SSL

ValuesCOMODOCUSTOMLETSENCRYPTSECTIGO
regenerable
read-only
boolean

Regenerable flag

status
read-only
StatusEnum

Status of the Hosted SSL

Valuescreatedcreatingdeletingimportingregenerating
taskId
read-only
integer

The task ID working on this Hosted SSL

type
read-only
TypeEnum

Type of the Hosted SSL

ValuesCUSTOMDVEV

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ssl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}

Regenerate the SSL certificateProduction

POST
/1.0/hosting/web/{serviceName}/ssl/regenerate

Regenerates the SSL certificate of the hosting.

Path parameters

serviceName
required
string

Service name

Response

200SSLsuccessful operation
isReportable
read-only
boolean

If the hostedssl is currently bound to a report

provider
read-only
ProviderEnum

Provider of the Hosted SSL

ValuesCOMODOCUSTOMLETSENCRYPTSECTIGO
regenerable
read-only
boolean

Regenerable flag

status
read-only
StatusEnum

Status of the Hosted SSL

Valuescreatedcreatingdeletingimportingregenerating
taskId
read-only
integer

The task ID working on this Hosted SSL

type
read-only
TypeEnum

Type of the Hosted SSL

ValuesCUSTOMDVEV

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ssl/regenerate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}

Delete the SSL certificateProduction

DELETE
/1.0/hosting/web/{serviceName}/ssl

Deletes the SSL certificate of the hosting.

Path parameters

serviceName
required
string

Service name

Response

200SSLsuccessful operation
isReportable
read-only
boolean

If the hostedssl is currently bound to a report

provider
read-only
ProviderEnum

Provider of the Hosted SSL

ValuesCOMODOCUSTOMLETSENCRYPTSECTIGO
regenerable
read-only
boolean

Regenerable flag

status
read-only
StatusEnum

Status of the Hosted SSL

Valuescreatedcreatingdeletingimportingregenerating
taskId
read-only
integer

The task ID working on this Hosted SSL

type
read-only
TypeEnum

Type of the Hosted SSL

ValuesCUSTOMDVEV

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/hosting/web/{serviceName}/ssl \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "isReportable": true, "provider": "COMODO", "regenerable": true, "status": "created", "taskId": 0, "type": "CUSTOM"}